| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iSectorCallback Struct Reference
[Crystal Space 3D Engine]

Set a callback which is called when this sector is traversed. More...

`#include <iengine/sector.h>`

Inheritance diagram for iSectorCallback:

[legend]
List of all members.

## Public Member Functions
virtual void | Traverse (iSector *sector, iBase *context)=0
| Sector will be traversed.

## Detailed Description

Set a callback which is called when this sector is traversed.

The given context will be either an instance of iRenderView, iFrustumView, or else 0.

This callback is used by:

- iSector

Definition at line 95 of file sector.h.

## Member Function Documentation

virtual void iSectorCallback::Traverse | ( | iSector * | sector,
|  | iBase * | context |
| ) |  |  | `[pure virtual]`

Sector will be traversed.

It is safe to delete this callback in this function.

The documentation for this struct was generated from the following file:

- iengine/sector.h